[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPSMap.Insert

Insert a new slot for key and associated data item in the list

## Declaration

Source position: fgl.pp line 276

`public function TFPSMap.Insert(`
`Index: Integer`
`):Pointer; procedure TFPSMap.Insert(`
`Index: Integer;`
`out AKey: Pointer;`
`out AData: Pointer`
`);`

## Arguments

`Index` |  | Index to insert new key, value pair

## Function result

Slot to add data to

## Arguments

`Index` |  | Index to insert new key, value pair
`AKey` |  | Pointer to location for key value
`AData` |  | Pointer to location for data value

## Description

Insert will allocate a new slot in the list. It returns a pointer to the new slot. If Akey and AData are given, then they will point to the positions in the slot for the key and data items.

## Errors

If the maximum amount of values is reached or an invalid index is specified, Insert will raise an EListError exception.

## See also

TFPSMap.Add |  | Add a key, value pair to the map.
TFPSMap.InsertKey |  | Insert a key in the list
TFPSMap.InsertKeyData |  | Insert a key and associated in the list